path: /build/build/itstool-dev-util-2.0.6+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - eval 'mkdir /etc/env.d -p || true' && echo "PYTHONPATH=\"/usr/lib64/python3.9/site-packages/\""
    > /etc/env.d/99python-libxml && echo "PORTAGE_PYTHONPATH=\"/usr/lib64/python3.9/site-packages/\""
    >> /etc/env.d/99python-libxml && eval 'macaronictl env-update || true'
  - |
    source /etc/profile && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_single_target_python2_7 -python_single_target_python3_10 -python_single_target_python3_7 -python_single_target_python3_8 python_single_target_python3_9" emerge dev-util/itstool -pv -t
  - |
    USE="-python_single_target_python2_7 -python_single_target_python3_10 -python_single_target_python3_7 -python_single_target_python3_8 python_single_target_python3_9" emerge -j ${JOBS} --nodeps dev-util/itstool
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/itstool && luet-portage --dir
    /pkgdir/itstool dev-util/itstool
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:08407a27cf7ba576fe6843aeacad34cc83b316716fc991a602c906c57fc1107a
  package:
    name: itstool
    version: 2.0.6+1
    category: dev-util
    use_flags:
    - -python_single_target_python2_7
    - -python_single_target_python3_10
    - -python_single_target_python3_7
    - -python_single_target_python3_8
    - python_single_target_python3_9
    requires:
    - name: libxslt
      version: '>=0'
      category: dev-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Translation tool for XML documents that uses gettext files and ITS
      rules
    uri:
    - http://itstool.org/
    license: GPL-3+ || ( HPND GPL-3+ )
    buildtimestamp: 2023-08-15 15:54:00.698163118 +0000 UTC m=+93.973014159
    labels:
      DEPEND: python_single_target_python3_7? ( dev-lang/python:3.7[xml] >=dev-lang/python-exec-2:=[python_targets_python3_7]
        ) python_single_target_python3_9? ( dev-lang/python:3.9[xml] >=dev-lang/python-exec-2:=[python_targets_python3_9]
        ) python_single_target_python3_8? ( dev-lang/python:3.8[xml] >=dev-lang/python-exec-2:=[python_targets_python3_8]
        ) python_single_target_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7[xml] >=dev-lang/python-exec-2:=[python_targets_python2_7]
        ) python_single_target_python3_10? ( dev-lang/python:3.10[xml] >=dev-lang/python-exec-2:=[python_targets_python3_10]
        ) python_single_target_python3_7? ( dev-libs/libxml2[python,python_targets_python3_7(-)]
        ) python_single_target_python3_9? ( dev-libs/libxml2[python,python_targets_python3_9(-)]
        ) python_single_target_python3_8? ( dev-libs/libxml2[python,python_targets_python3_8(-)]
        ) python_single_target_python2_7? ( dev-libs/libxml2[python,python_targets_python2_7(-)]
        ) python_single_target_python3_10? ( dev-libs/libxml2[python,python_targets_python3_10(-)]
        )
      IUSE: python_single_target_python3_7 python_single_target_python3_9 python_single_target_python3_8
        python_single_target_python2_7 python_single_target_python3_10 python_targets_python3_7
        python_targets_python3_9 python_targets_python3_8 python_targets_python2_7
        python_targets_python3_10
      RDEPEND: python_single_target_python3_7? ( dev-lang/python:3.7[xml] >=dev-lang/python-exec-2:=[python_targets_python3_7]
        ) python_single_target_python3_9? ( dev-lang/python:3.9[xml] >=dev-lang/python-exec-2:=[python_targets_python3_9]
        ) python_single_target_python3_8? ( dev-lang/python:3.8[xml] >=dev-lang/python-exec-2:=[python_targets_python3_8]
        ) python_single_target_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7[xml] >=dev-lang/python-exec-2:=[python_targets_python2_7]
        ) python_single_target_python3_10? ( dev-lang/python:3.10[xml] >=dev-lang/python-exec-2:=[python_targets_python3_10]
        ) python_single_target_python3_7? ( dev-libs/libxml2[python,python_targets_python3_7(-)]
        ) python_single_target_python3_9? ( dev-libs/libxml2[python,python_targets_python3_9(-)]
        ) python_single_target_python3_8? ( dev-libs/libxml2[python,python_targets_python3_8(-)]
        ) python_single_target_python2_7? ( dev-libs/libxml2[python,python_targets_python2_7(-)]
        ) python_single_target_python3_10? ( dev-libs/libxml2[python,python_targets_python3_10(-)]
        )
      emerge.packages: dev-util/itstool
      kit: core-kit
      original.package.name: dev-util/itstool
      original.package.slot: "0"
      original.package.version: 2.0.6-r1
    treedir: /build/packages
  package_dir: /pkgdir/itstool
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 78378c503cd82d6f2d716a7ef72f89683db4e912e24ae1ddf210b8ad8df14d14
compressiontype: zstd
files:
- usr/bin/itstool
- usr/share/doc/itstool-2.0.6-r1/ChangeLog.bz2
- usr/share/doc/itstool-2.0.6-r1/NEWS.bz2
- usr/share/itstool/its/docbook.its
- usr/share/itstool/its/docbook5.its
- usr/share/itstool/its/its.its
- usr/share/itstool/its/mallard.its
- usr/share/itstool/its/ttml.its
- usr/share/itstool/its/xhtml.its
- usr/share/man/man1/itstool.1.bz2
- var/db/pkg/dev-util/itstool-2.0.6-r1/BUILD_TIME
- var/db/pkg/dev-util/itstool-2.0.6-r1/CATEGORY
- var/db/pkg/dev-util/itstool-2.0.6-r1/CBUILD
- var/db/pkg/dev-util/itstool-2.0.6-r1/CFLAGS
- var/db/pkg/dev-util/itstool-2.0.6-r1/CHOST
- var/db/pkg/dev-util/itstool-2.0.6-r1/CONTENTS
- var/db/pkg/dev-util/itstool-2.0.6-r1/COUNTER
- var/db/pkg/dev-util/itstool-2.0.6-r1/CXXFLAGS
- var/db/pkg/dev-util/itstool-2.0.6-r1/DEFINED_PHASES
- var/db/pkg/dev-util/itstool-2.0.6-r1/DEPEND
- var/db/pkg/dev-util/itstool-2.0.6-r1/DESCRIPTION
- var/db/pkg/dev-util/itstool-2.0.6-r1/EAPI
- var/db/pkg/dev-util/itstool-2.0.6-r1/FEATURES
- var/db/pkg/dev-util/itstool-2.0.6-r1/HOMEPAGE
- var/db/pkg/dev-util/itstool-2.0.6-r1/INHERITED
- var/db/pkg/dev-util/itstool-2.0.6-r1/IUSE
- var/db/pkg/dev-util/itstool-2.0.6-r1/IUSE_EFFECTIVE
- var/db/pkg/dev-util/itstool-2.0.6-r1/KEYWORDS
- var/db/pkg/dev-util/itstool-2.0.6-r1/LDFLAGS
- var/db/pkg/dev-util/itstool-2.0.6-r1/LICENSE
- var/db/pkg/dev-util/itstool-2.0.6-r1/PF
- var/db/pkg/dev-util/itstool-2.0.6-r1/RDEPEND
- var/db/pkg/dev-util/itstool-2.0.6-r1/SIZE
- var/db/pkg/dev-util/itstool-2.0.6-r1/SLOT
- var/db/pkg/dev-util/itstool-2.0.6-r1/USE
- var/db/pkg/dev-util/itstool-2.0.6-r1/environment.bz2
- var/db/pkg/dev-util/itstool-2.0.6-r1/itstool-2.0.6-r1.ebuild
- var/db/pkg/dev-util/itstool-2.0.6-r1/repository
package_cacheimage: ""
runtime:
  name: itstool
  version: 2.0.6+1
  category: dev-util
  use_flags:
  - -python_single_target_python2_7
  - -python_single_target_python3_10
  - -python_single_target_python3_7
  - -python_single_target_python3_8
  - python_single_target_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  - name: libxml2
    version: '>=0'
    category: dev-libs-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Translation tool for XML documents that uses gettext files and ITS
    rules
  uri:
  - http://itstool.org/
  license: GPL-3+ || ( HPND GPL-3+ )
  labels:
    DEPEND: python_single_target_python3_7? ( dev-lang/python:3.7[xml] >=dev-lang/python-exec-2:=[python_targets_python3_7]
      ) python_single_target_python3_9? ( dev-lang/python:3.9[xml] >=dev-lang/python-exec-2:=[python_targets_python3_9]
      ) python_single_target_python3_8? ( dev-lang/python:3.8[xml] >=dev-lang/python-exec-2:=[python_targets_python3_8]
      ) python_single_target_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7[xml] >=dev-lang/python-exec-2:=[python_targets_python2_7]
      ) python_single_target_python3_10? ( dev-lang/python:3.10[xml] >=dev-lang/python-exec-2:=[python_targets_python3_10]
      ) python_single_target_python3_7? ( dev-libs/libxml2[python,python_targets_python3_7(-)]
      ) python_single_target_python3_9? ( dev-libs/libxml2[python,python_targets_python3_9(-)]
      ) python_single_target_python3_8? ( dev-libs/libxml2[python,python_targets_python3_8(-)]
      ) python_single_target_python2_7? ( dev-libs/libxml2[python,python_targets_python2_7(-)]
      ) python_single_target_python3_10? ( dev-libs/libxml2[python,python_targets_python3_10(-)]
      )
    IUSE: python_single_target_python3_7 python_single_target_python3_9 python_single_target_python3_8
      python_single_target_python2_7 python_single_target_python3_10 python_targets_python3_7
      python_targets_python3_9 python_targets_python3_8 python_targets_python2_7 python_targets_python3_10
    RDEPEND: python_single_target_python3_7? ( dev-lang/python:3.7[xml] >=dev-lang/python-exec-2:=[python_targets_python3_7]
      ) python_single_target_python3_9? ( dev-lang/python:3.9[xml] >=dev-lang/python-exec-2:=[python_targets_python3_9]
      ) python_single_target_python3_8? ( dev-lang/python:3.8[xml] >=dev-lang/python-exec-2:=[python_targets_python3_8]
      ) python_single_target_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7[xml] >=dev-lang/python-exec-2:=[python_targets_python2_7]
      ) python_single_target_python3_10? ( dev-lang/python:3.10[xml] >=dev-lang/python-exec-2:=[python_targets_python3_10]
      ) python_single_target_python3_7? ( dev-libs/libxml2[python,python_targets_python3_7(-)]
      ) python_single_target_python3_9? ( dev-libs/libxml2[python,python_targets_python3_9(-)]
      ) python_single_target_python3_8? ( dev-libs/libxml2[python,python_targets_python3_8(-)]
      ) python_single_target_python2_7? ( dev-libs/libxml2[python,python_targets_python2_7(-)]
      ) python_single_target_python3_10? ( dev-libs/libxml2[python,python_targets_python3_10(-)]
      )
    emerge.packages: dev-util/itstool
    kit: core-kit
    original.package.name: dev-util/itstool
    original.package.slot: "0"
    original.package.version: 2.0.6-r1
